<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iCelBlLayer Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iCelBlLayer Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iCelBlLayer" --><!-- doxytag: inherits="iBase" -->
<p>This is the Behaviour Layer itself.  
 <a href="structiCelBlLayer.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="bl_8h_source.html">behaviourlayer/bl.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iCelBlLayer:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiCelBlLayer.png" usemap="#iCelBlLayer_map" alt=""/>
  <map id="iCelBlLayer_map" name="iCelBlLayer_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,78,24"/>
</map>
 </div></div>

<p><a href="structiCelBlLayer-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelBehaviour.html">iCelBehaviour</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelBlLayer.html#a389051ac8b271f2af55861b394cc7832">CreateBehaviour</a> (<a class="el" href="structiCelEntity.html">iCelEntity</a> *entity, const char *name)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a new behaviour layer entity.  <a href="#a389051ac8b271f2af55861b394cc7832"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelBlLayer.html#ac342d71f05694a59f2b4cacd9dbdf2bf">GetName</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The name of this behaviour layer.  <a href="#ac342d71f05694a59f2b4cacd9dbdf2bf"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This is the Behaviour Layer itself. </p>

<p>Definition at line <a class="el" href="bl_8h_source.html#l00032">32</a> of file <a class="el" href="bl_8h_source.html">bl.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a389051ac8b271f2af55861b394cc7832"></a><!-- doxytag: member="iCelBlLayer::CreateBehaviour" ref="a389051ac8b271f2af55861b394cc7832" args="(iCelEntity *entity, const char *name)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelBehaviour.html">iCelBehaviour</a>* <a class="el" href="structiCelBlLayer.html#a389051ac8b271f2af55861b394cc7832">iCelBlLayer::CreateBehaviour</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelEntity.html">iCelEntity</a> *&#160;</td>
          <td class="paramname"><em>entity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a new behaviour layer entity. </p>
<p>The given name is specific to the BL implementation. It can be the name of a script for example. This function will also call entity-&gt;SetBehaviour() with the new behaviour. </p>

</div>
</div>
<a class="anchor" id="ac342d71f05694a59f2b4cacd9dbdf2bf"></a><!-- doxytag: member="iCelBlLayer::GetName" ref="ac342d71f05694a59f2b4cacd9dbdf2bf" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiCelBlLayer.html#ac342d71f05694a59f2b4cacd9dbdf2bf">iCelBlLayer::GetName</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The name of this behaviour layer. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>behaviourlayer/<a class="el" href="bl_8h_source.html">bl.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
